import { getEvaluateList } from "@/services/evaluate";
import { queryTable } from "@/utils/request";
import { PageContainer, ProTable } from "@ant-design/pro-components";
import { Link, useNavigate, useSearchParams } from "react-router-dom";

import { Button, message, Popconfirm } from "antd";
import moment from "moment";
import { useRef, useState } from "react";
import AddeValuate from "./addeValuate";

const EvaluateList = (props) => {
  const [searchParams] = useSearchParams();
  const id = searchParams.get("id");
  const navigate = useNavigate();

  // const [storeTypeDict, setStoreTypeDict] = useState([]);
  const actionRef = useRef();
  const formRef = useRef();

  const  valueEnum= {
    2: { text: "满意", status: "Success" },
    1: { text: "一般", status: "Processing" },
    0: { text: "差", status: "Error" },
  }

  const columns = [
    {
      title: "日期",
      dataIndex: "createDate",
      valueType: 'date',
    },

    {
      title: "服务质量",
      dataIndex: "item1",
      search: false,
      valueEnum
    },
    {
      title: "供应住宿",
      dataIndex: "item2",
      search: false,
      valueEnum
    },
    {
      title: "供应餐饮",
      dataIndex: "item3",
      search: false,
      valueEnum
    },
    {
      title: "洗浴评价",
      dataIndex: "item4",
      search: false,
      valueEnum
    },
    {
      title: "娱乐评价",
      dataIndex: "item5",
      search: false,
      valueEnum
    },
    {
      title: "军供文化",
      dataIndex: "item6",
      search: false,
      valueEnum
    },
  ];

  return (
    <PageContainer>
      <ProTable
        actionRef={actionRef}
        formRef={formRef}
        search={false}
        params={{ taskId: id }}
        rowKey="id"
        headerTitle={<Link to={-1}>返回</Link>}
        toolBarRender={() => [
          <AddeValuate
            taskId={id}
            key="2"
            onsuccess={() => {
              actionRef.current.reload();
            }}
          ></AddeValuate>,
          // <Button
          //   key="2"
          //   type="primary"
          //   onClick={() => {

          //   }}
          // >
          //   新增评价
          // </Button>,
        ]}
        request={queryTable(getEvaluateList)}
        columns={columns}
      />
    </PageContainer>
  );
};

export default EvaluateList;
