import { queryTable } from "@/utils/request";
import { PageContainer, ProTable } from "@ant-design/pro-components";
import { Link, useNavigate } from "react-router-dom";
import {
  getCooperationUnitsList,
  deletetCooperationUnits,
} from "@/services/cooperationUnits";
import { Button, message, Popconfirm } from "antd";
import { useRef, useState } from "react";

const GuaranteeList = (props) => {
  const navigate = useNavigate();
  const actionRef = useRef();
  const formRef = useRef();

  const handleDelete = (id) => {
    if (id) {
      deletetCooperationUnits(id).then((res) => {
        actionRef.current.reload();
      });
    }
  };

  const columns = [
    {
      title: "机构名称",
      dataIndex: "name",
      search: true,
    },
    {
      title: "机构类别",
      dataIndex: "orgType",
      search: true,
    },
    {
      title: "工商注册证号",
      dataIndex: "businessLicense",
      search: false,
    },
    {
      title: "卫生许可证号",
      dataIndex: "hygieneLicense",
      search: false,
    },
    {
      title: "联系人",
      dataIndex: "contacts",
      search: false,
    },
    {
      title: "联系电话",
      dataIndex: "phone",
      search: false,
    },
    {
      title: "操作",
      valueType: "option",
      width: 200,
      render: (_, record) => [
        <Button
          key={2}
          style={{ padding: 0 }}
          type="link"
          onClick={() => {
            navigate(`/task/guarantee/edit?id=${record.id}`);
          }}
        >
          修改
        </Button>,
        <Popconfirm
          key={3}
          title="您是否确认删除 ?"
          onConfirm={() => handleDelete(record.id)}
          okText="确定"
          cancelText="取消"
        >
          <Button style={{ padding: 0 }} type="link">
            删除
          </Button>
        </Popconfirm>,
         <Button
         key={4}
         style={{ padding: 0 }}
         type="link"
         onClick={() => {
           navigate(`/task/guarantee/personnel/list?id=${record.id}`);
         }}
       >
         人员
       </Button>,
      ],
    },
  ];

  return (
    <PageContainer>
      <ProTable
        actionRef={actionRef}
        formRef={formRef}
        rowKey="id"
        toolBarRender={() => [
          <Button
            key="2"
            type="primary"
            onClick={() => {
              navigate("/task/guarantee/edit");
            }}
          >
            新增
          </Button>,
        ]}
        request={queryTable(getCooperationUnitsList)}
        columns={columns}
      />
    </PageContainer>
  );
};

export default GuaranteeList;
