import { queryTable, queryDict } from "@/utils/request";
import { PageContainer, ProTable } from "@ant-design/pro-components";
import { useNavigate, useSearchParams } from "react-router-dom";
import {
  getCooperationPersonList,
  deletetCooperationPerson,
  getCooperationUnitsList,
} from "@/services/cooperationUnits";

import { Button, message, Popconfirm } from "antd";
import { useRef, useEffect } from "react";

const GuaranteePersonnelList = (props) => {
  const [searchParams] = useSearchParams();
  const id = searchParams.get("id");
  const navigate = useNavigate();

  const actionRef = useRef();
  const formRef = useRef();

  useEffect(() => {
    if (id) {
      console.log(formRef, "formRefformRef");
      formRef?.current?.setFieldValue("orgId", Number(id));
      formRef?.current?.submit();

      // setTimeout(()=>{
      //   actionRef.current.reload();
      // },1000)
    }
  }, [id]);

  const handleDelete = (id) => {
    console.log(formRef, "formRefformRef");
    // if (id) {
    //   deletetCooperationPerson(id).then((res) => {
    //     actionRef.current.reload();
    //   });
    // }
  };

  const columns = [
    {
      title: "机构名称",
      dataIndex: "orgId",
      valueType: "select",
      request: () => queryDict(getCooperationUnitsList)(),
      // search: false,
    },
    {
      title: "姓名",
      dataIndex: "name",
      search: true,
    },
    {
      title: "性别",
      dataIndex: "sex",
      search: false,
      valueEnum: {
        1: "男",
        2: "女",
        9: "未知",
      },
    },
    {
      title: "名族",
      dataIndex: "ethnic",
      search: false,
    },
    {
      title: "联系电话",
      dataIndex: "phone",
      search: false,
    },
    {
      title: "是否健康证",
      dataIndex: "isHealthCertificate",
      search: false,
      valueEnum: {
        1: "是",
        2: "否",
      },
    },
    {
      title: "身份证号",
      dataIndex: "homeAddr",
      search: false,
    },
    {
      title: "操作",
      valueType: "option",
      width: 200,
      render: (_, record) => [
        <Button
          key={2}
          style={{ padding: 0 }}
          type="link"
          onClick={() => {
            navigate(`/task/guarantee/personnel/edit?id=${record.id}`);
          }}
        >
          修改
        </Button>,
        <Popconfirm
          key={3}
          title="您是否确认删除 ?"
          onConfirm={() => handleDelete(record.id)}
          okText="确定"
          cancelText="取消"
        >
          <Button style={{ padding: 0 }} type="link">
            删除
          </Button>
        </Popconfirm>,
      ],
    },
  ];

  return (
    <PageContainer>
      <ProTable
        actionRef={actionRef}
        formRef={formRef}
        manualRequest={id}
        // params={{ orgId: id }}
        rowKey="id"
        toolBarRender={() => [
          <Button
            key="2"
            type="primary"
            onClick={() => {
              navigate(
                "/task/guarantee/personnel/edit" + (id ? `?orgId=${id}` : "")
              );
            }}
          >
            新增
          </Button>,
        ]}
        request={queryTable(getCooperationPersonList)}
        columns={columns}
      />
    </PageContainer>
  );
};

export default GuaranteePersonnelList;
